Subject: Re: bug#10313: configure fails to find include path on openbsd

From: Paul Eggert <[email-masked]>
Date: Mon, 02 Jan 2012 10:51:53 -0800

On 01/02/12 10:42, Glenn Morris wrote:
> If I were using > such a system, I'd just end up putting /usr/local
> in CPPFLAGS and LDFLAGS all the time.

Likewise.

> Are things in /usr/local found at run-time, or do
> they also have to set LD_LIBRARY_PATH, or use -rpath as well during
> compilation (the netbsd entry in configure.in uses the latter)?

I expect the latter.  It's a bit of a hassle -- they're essentially
making it harder to install source off the net, and they're expecting
installers to know that one must specify "-L/usr/local/lib -R/usr/local/lib
-I/usr/local/include" or whatever the magic incantation happens to be.